@echo off
if "%1"=="" goto usage
if "%2"=="" goto start
:usage
echo Usage:   inst2e EMTEX_DIRECTORY
echo Example: inst2e \emtex
goto end

:start
if not exist %1\texinput\etc\null.tex goto usage
md %1\texinput\latex2e
copy docstrip.tex %1\texinput\latex2e >nul
copy idx.tex %1\texinput\latex2e >nul
copy lablst.tex %1\texinput\latex2e >nul
copy latexbug.tex %1\texinput\latex2e >nul
copy ltxcheck.tex %1\texinput\latex2e >nul
copy nfssfont.tex %1\texinput\latex2e >nul
copy sample2e.tex %1\texinput\latex2e >nul
copy small2e.tex %1\texinput\latex2e >nul
copy testpage.tex %1\texinput\latex2e >nul
if exist *.cfg copy *.cfg %1\texinput\latex2e >nul
copy *.clo %1\texinput\latex2e >nul
copy *.cls %1\texinput\latex2e >nul
copy *.def %1\texinput\latex2e >nul
copy *.fd %1\texinput\latex2e >nul
copy *.ltx %1\texinput\latex2e >nul
copy *.sty %1\texinput\latex2e >nul
md %1\idxstyle
copy *.ist %1\idxstyle >nul
:end
